Package com.oracle.truffle.object

## Class Transition.ObjectTypeTransition

- java.lang.Object
- - com.oracle.truffle.object.Transition
  - - com.oracle.truffle.object.Transition.ObjectTypeTransition

Enclosing class:
  Transition

    public static final class Transition.ObjectTypeTransition
    extends Transition

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.Transition

`Transition.AddPropertyTransition, Transition.ObjectTypeTransition, Transition.PropertyTransition, Transition.RemovePropertyTransition, Transition.ReplacePropertyTransition, Transition.ReservePrimitiveArrayTransition`

### Constructor Summary

Constructors
`ObjectTypeTransition​(ObjectType objectType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object other)`
`ObjectType` `getObjectType()`
`int` `hashCode()`
`boolean` `isDirect()`

### Methods inherited from class com.oracle.truffle.object.Transition

`getShortName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectTypeTransition

    public ObjectTypeTransition​(ObjectType objectType)

### Method Detail

#### getObjectType

    public ObjectType getObjectType()

#### equals

    public boolean equals​(java.lang.Object other)

Overrides:
  `equals` in class `Transition`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Transition`

#### isDirect

    public boolean isDirect()

Specified by:
  `isDirect` in class `Transition`